# Class MessageCompleteEventData

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents data for the message_complete event.

    public class MessageCompleteEventData : EventData

Inheritance
  object
  EventData
  MessageCompleteEventData

Inherited Members
  EventData.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### MessageCompleteEventData(MessageResponse, AnthropicHeaders)

Initializes a new instance of the MessageCompleteEventData class.

    public MessageCompleteEventData(MessageResponse message, AnthropicHeaders headers)

#### Parameters

`message` MessageResponse

  The response message.

`headers` AnthropicHeaders

  The anthropic headers.

## Properties

### Headers

Gets the anthropic headers.

    public AnthropicHeaders Headers { get; init; }

#### Property Value

AnthropicHeaders

### Message

Gets the response message.

    public MessageResponse Message { get; init; }

#### Property Value

MessageResponse